<template>
  <div>
    <n-menu v-model:value="activeKey" :collapsed="collapsed" inverted :collapsed-width="64" :icon-size="20" :collapsed-icon-size="26" :options="menuOptions" />
  </div>
</template>
<script setup>
import menuInfo from "@/util/consoleMenu.js";
const props = defineProps({
  collapsed: Boolean,
});
const activeKey = ref("1");
const route = useRoute()

const { path } = route;
menuInfo.menuList.forEach((i, idx) => {
  if (path == i) {
    activeKey.value = idx  + "";
  }
});
let menuOptions = ref([]);
menuOptions.value = menuInfo.options;
</script>

<style scoped lang="less">
:deep(.orange) {
  svg {
    color: #fff;
  }
}
</style>
